Bug 988036 - We get enum instead of a message when user tries to run more VMs from the User portal then he has permissions to
We get enum instead of a message when user tries to run more VMs from the Use...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-userportal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Betak
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 10:55 EDT by Maor
Modified: 2013-09-23 03:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:27:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CDA (28.43 KB, image/jpeg)
2013-07-24 10:55 EDT, Maor
no flags Details
log (1.01 MB, text/x-log)
2013-07-24 10:58 EDT, Maor
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17592 None None None Never

  None (edit)
Description Maor 2013-07-24 10:55:36 EDT
Created attachment 777835 [details]
CDA

Description of problem:
We get enum message instead of a text message.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. In the admin portal set Maximum number of VMs per user to 2
2. In the user portal start the first VM
3. Go back to the admin portal and set the Maximum number of VMs per user to 1
4. in the User portal try to start the second VM

Actual results:
we get the CDA message VM_POOL_CANNOT_ATTACH_TO_MORE_VMS_FROM_POOL

Expected results:
We should get the message:
"User is already attached to maximum number of VMs from this VM-Pool."

Additional info:
Comment 1 Maor 2013-07-24 10:58:25 EDT
Created attachment 777837 [details]
log
Comment 2 Maor 2013-07-24 11:37:54 EDT
enum value should be added to vdcBllMessages
Comment 3 Itamar Heim 2013-08-21 12:43:10 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 4 Itamar Heim 2013-09-23 03:27:53 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.